#include "CivProjInpDbHelper.h"
#include "CivConnection.h"

CivProjInpDbHelper::CivProjInpDbHelper(const std::string& uri)
	:CivInpHelperAbs(uri)
{
}

CivProjInpDbHelper::~CivProjInpDbHelper()
{

}

bool CivProjInpDbHelper::getNode(CivNode& node)
{
	return true;
}

bool CivProjInpDbHelper::getPipe(CivPipe& pipe)
{
	return true;
}

bool CivProjInpDbHelper::getTank(CivTank& tank)
{
	return true;
}

bool CivProjInpDbHelper::getValve(CivValve& valve)
{
	return true;
}

bool CivProjInpDbHelper::getPumps(CivPumps& pump)
{
	return true;
}

bool CivProjInpDbHelper::getReservoirs(CivReservoirs& reservoirs)
{
	return true;
}


bool CivProjInpDbHelper::getCoordinates(CivCoordinates& coord)
{
	return true;
}

bool CivProjInpDbHelper::getQuality(CivQuality& quality)
{
	return true;
}

